import request from '@/utils/request'

// 查询生产报工列表
export function listBg(query) {
	return request({
		url: '/mes/bg/list',
		method: 'get',
		params: query
	});
}

// 查询生产报工详细
export function getBg(ID) {
	return request({
		url: '/mes/bg/' + ID,
		method: 'get'
		});
}

// 新增生产报工
export function addBg(data) {
	return request({
		url: '/mes/bg',
		method: 'post',
		data: data
	});
}

// 修改生产报工
export function updateBg(data) {
	return request({
		url: '/mes/bg',
		method: 'put',
		data: data
	});
}

// 删除生产报工
export function delBg(ID) {
	return request({
		url: '/mes/bg/' + ID,
		method: 'delete'
	});
}
