import request from '@/utils/request'

// 查询车间/产线管理列表
export function listCopy1(query) {
	return request({
		url: '/mes/copy1/list',
		method: 'get',
		params: query
	});
}

// 查询车间/产线管理详细
export function getCopy1(id) {
	return request({
		url: '/mes/copy1/' + id,
		method: 'get'
		});
}

// 新增车间/产线管理
export function addCopy1(data) {
	return request({
		url: '/mes/copy1',
		method: 'post',
		data: data
	});
}

// 修改车间/产线管理
export function updateCopy1(data) {
	return request({
		url: '/mes/copy1',
		method: 'put',
		data: data
	});
}

// 删除车间/产线管理
export function delCopy1(id) {
	return request({
		url: '/mes/copy1/' + id,
		method: 'delete'
	});
}
